Bug 1970 - When nmblookup finds more than one machine, -S should do a node status query on all of them
When nmblookup finds more than one machine, -S should do a node status query ...
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: net utility
3.0.7
All Linux
: P3 enhancement
: none
Assigned To: Jim McDonough
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-25 09:16 UTC by Christoffer Hammarström
Modified: 2006-02-16 14:43 UTC (History)
0 users

See Also:


Attachments
fix for status reporting on multiple IP's (873 bytes, patch)
2006-01-11 12:40 UTC, William Jojo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christoffer Hammarström 2004-10-25 09:16:46 UTC
When i (for example) do a "nmblookup <domain>", i find all the machines on the
domain. I'd expect "nmblookup -S <domain>" to do a node status query on all of
them, not just the first one.
Comment 1 William Jojo 2006-01-11 12:40:46 UTC
Created attachment 1667 [details]
fix for status reporting on multiple IP's

find_status conditional was outside loop when processing ip_list in query_one().
Comment 2 Jeremy Allison 2006-02-16 14:43:56 UTC
Looks good to me. Applied, thanks !
Jeremy.